function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { GridComponent } from "echarts/components";
import { ScatterChart } from "echarts/charts";
import { UniversalTransition } from "echarts/features";
import { CanvasRenderer } from "echarts/renderers";
import { scatter } from "@xmweb-ui/vue-renderless/chart-scatter/index";
import Core from "@xmweb-ui/vue-chart-core";
import { defineComponent, $prefix } from "@xmweb-ui/vue-common";
echarts.use([GridComponent, ScatterChart, UniversalTransition, CanvasRenderer]);
var Scatter = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartScatter",
  data: function data() {
    this.chartHandler = scatter;
    return {};
  }
}));
var version = "3.8.0";
Scatter.install = function(Vue) {
  Vue.component(Scatter.name, Scatter);
};
Scatter.version = version;
export {
  Scatter as default
};
